[epiphany] Resync autogen.sh with recommendation



commit 99bdef6b96a0e272843cc64c15578ae5cebd909c
Author: Michael Catanzaro <mcatanzaro gnome org>
Date:   Thu Nov 10 17:31:32 2016 -0600

    Resync autogen.sh with recommendation
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index fd01f9c..66773e2 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,38 +1,38 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
-test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=$(dirname "$0")
 test -n "$srcdir" || srcdir=.
 
-olddir=`pwd`
+olddir=$(pwd)
 
 cd $srcdir
 
 (test -f configure.ac) || {
-        echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+        echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
         exit 1
 }
 
-PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
 
 if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
-        echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+        echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
         echo "*** If you wish to pass any to it, please specify them on the" >&2
-        echo "*** \`$0\' command line." >&2
+        echo "*** '$0' command line." >&2
         echo "" >&2
 fi
 
 git submodule update --init --recursive
 
 aclocal --install || exit 1
-autoreconf --verbose --force --install -Wno-portability || exit 1
-
-cd $olddir
+autoreconf --verbose --force --install || exit 1
 
+cd "$olddir"
 if [ "$NOCONFIGURE" = "" ]; then
         $srcdir/configure "$@" || exit 1
 
         if [ "$1" = "--help" ]; then exit 0 else
-                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+                echo "Now type 'make' to compile $PKG_NAME" || exit 1
         fi
 else
         echo "Skipping configure process."


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]